# Learning how to use StartR
#setwd("/home/Earth/mlotto/lcd_projects/csindicators/vignettes/malaria")
# source("call_data.R")

source("https://earth.bsc.es/gitlab/nperez/Flor/-/raw/master/CST_Load_devel_from_s2dv.R")

# load several months and bind them to the same R object:
# Dimensions:
# - var= number of variables (in general just one)
# - sdate= number of years
# - time= number of months
# - lat and lon= coordinates

# example of use
#
path_ERA5tas_CDS <- list(path = '/esarchive/recon/ecmwf/era5land/$STORE_FREQ$_mean/$VAR_NAME$_f1h/$VAR_NAME$_$YEAR$$MONTH$.nc')

 year_in <- 2010
 year_fi <- 2011
 month_in <- 1
 month_fi <- 12

 sdates <- paste0(year_in:year_fi, '0101')

 loaded_obs <- CST_Load_s2dv(var = 'tas',
                            exp = NULL,
                            obs = list(path_ERA5tas_CDS),
                            sdates = sdates,
                            lonmax = 353, lonmin = 352.25,
                            latmax = 41.75, latmin = 41,
                            storefreq = 'monthly',
                            leadtimemin = month_in, leadtimemax = month_fi,
                            output = "lonlat")

 
 loaded_obs2 <- CST_Load_s2dv(var = 'prlr',
                             exp = NULL,
                             obs = list(path_ERA5tas_CDS),
                             sdates = sdates,
                             lonmax = 353, lonmin = 352.25,
                             latmax = 41.75, latmin = 41,
                             storefreq = 'monthly',
                             leadtimemin = month_in, leadtimemax = month_fi,
                             output = "lonlat")
 
 tas3 <- tas2 <- tas1 <- tas <- loaded_obs
 pr3 <- pr2 <- pr1 <- pr <- loaded_obs2
 
 tas1$data <- tas$data - 273.15
 pr1$data <- pr$data * 30410

 tas3$data <- ifelse(tas1$data >= 4 & pr1$data >= 0.0012, 1, 0)
 
 test1$data <- loaded_obs$data - 273.15
 test2$data <- ifelse(test1$data >= 5, NA, test1$data)
 test2$data <- ifelse(test1$data >= 4 & test1$data <=5, 1, 0)
 test2$data <- ifelse(test1$data >= 4 & test1$data <=5, 1, 0)
 
 
 
 
 summary(test1$data)
 
 
 
 test2$data <- test$data+test$data
 test3$data <- test$data*2
 
  # change the unit of temperature from °C to K
 
 tas_exp$data <- tas_exp$data - 273.15
 tas_obs$data <- tas_obs$data - 273.15
 
 
 
dim(loaded_obs$data)
#dataset  member   sdate   ftime     lat     lon
#      1       1       4      12       8       8




year_in <- 2013
year_fi <- 2014
lat_min <- 41
lat_max <- 41.75
lon_min <- 352.25
lon_max <- 353
data <- load_monthly_data_all_variables_and_months(year_in, year_fi, lat_min, lat_max, lon_min, lon_max)

